curl --request GET \
--url https://api.snappy.com/public-api/v2/authentication/apiKeys \
--header 'X-Api-Key: <api-key>'{
"results": [
{
"id": "abc123456",
"expirationDate": "2022-12-06T09:50:38.536Z",
"createdAt": "2022-12-06T09:50:38.536Z",
"enforceMtls": false,
"name": "My API"
}
]
}Get all the API keys of the company. The API keys are used to authenticate the company’s requests to the Snappy API.
curl --request GET \
--url https://api.snappy.com/public-api/v2/authentication/apiKeys \
--header 'X-Api-Key: <api-key>'{
"results": [
{
"id": "abc123456",
"expirationDate": "2022-12-06T09:50:38.536Z",
"createdAt": "2022-12-06T09:50:38.536Z",
"enforceMtls": false,
"name": "My API"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.snappy.com/llms.txt
Use this file to discover all available pages before exploring further.
Company level authentication provides access to all resources under your company, including accounts, campaigns, gifts, and recipients.
POST /v2/authentication/apiKeys endpoint to generate a new API keyInclude your API key in the X-Api-Key header for every request:
X-Api-Key: YOUR_24_CHARACTER_API_KEYFor production environments, enable mutual TLS authentication:
enforceMtls: true when creating the API keyhttps://mtls-api.snappy.com/public-apiSource of the request
api_native, api_zapier, api_salesforce, api_ftp, api_make "api_native"
Company ID
^[A-Za-z0-9]{8,}$"12345678"
Ok
Response containing API keys.
The API keys of the company.
Show child attributes
Was this page helpful?